|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Functions | Variables
cmp1.c File Reference
MPLABX MCC Melody Code Generator » CMP DAC Driver

This is the generated driver source file for CMP1 driver. More...

`#include <xc.h>`
`#include "../cmp1.h"`
Include dependency graph for cmp1.c:

Go to the source code of this file.

## Functions
void | CMP1_Initialize (void)
| Initialize the CMP1 module.
void | CMP1_Deinitialize (void)
| Deinitializes the CMP1 to POR values.
bool | CMP1_StatusGet (void)
| Returns the comparator output status.
void | CMP1_Enable (void)
| Enables the common DAC module.
void | CMP1_Disable (void)
| Disables the common DAC module.
void | CMP1_DACEnable (void)
| Enables the individual DAC module.
void | CMP1_DACDisable (void)
| Disables the individual DAC module.
void | CMP1_DACDataWrite (size_t value)
| CMP DAC Data write to register.
void | CMP1_EventCallbackRegister (void(*handler)(void))
| This function can be used to override default callback and to define custom callback for CMP1 Event event.
void | __attribute__ ((weak))
void | CMP1_Tasks (void)
| The Task function can be called in the main application using the High Speed Comparator, when interrupts are not used. This would thus introduce the polling mode feature of the Analog Comparator.

## Variables
static void(* | CMP1_EventHandler )(void) = NULL
const struct DAC_DC_INTERFACE | dac1_dc_interface
const struct CMP_INTERFACE | CMP_ISEC_SC
| Structure object of type CMP_INTERFACE with the custom name given by the user in the Melody Driver User interface. The default name e.g. CMP_DAC1 can be changed by the user in the CMP user interface. This allows defining a structure with application specific name using the 'Custom Name' field. Application specific name allows the API Portability.

## Detailed Description

CMP1 Generated Driver Source File

Definition in file cmp1.c.

## Function Documentation

## ◆ __attribute__()

void __attribute__ | ( | (weak) |  | ) |

Definition at line 149 of file cmp1.c.

## Variable Documentation

## ◆ CMP1_EventHandler

void(* CMP1_EventHandler) (void) | ( | void |  | ) | = NULL
| static

Definition at line 46 of file cmp1.c.

## ◆ dac1_dc_interface

const struct DAC_DC_INTERFACE dac1_dc_interface

Initial value:
= {
.Enable = &CMP1_DACEnable,
.Disable = &CMP1_DACDisable,
.DataWrite = &CMP1_DACDataWrite,
}
CMP1_DACEnable
void CMP1_DACEnable(void)
Enables the individual DAC module.
Definition cmp1.c:126
CMP1_DACDisable
void CMP1_DACDisable(void)
Disables the individual DAC module.
Definition cmp1.c:131
CMP1_DACDataWrite
void CMP1_DACDataWrite(size_t value)
CMP DAC Data write to register.
Definition cmp1.c:136

Definition at line 49 of file cmp1.c.